import { IProtocolRepository } from '../../domain/repositories/IProtocolRepository';
import { TelephoneProtocol } from '../../domain/entities/TelephoneProtocol';

export class GetProtocolByIdUseCase {
  constructor(private protocolRepository: IProtocolRepository) {}

  async execute(id: string): Promise<TelephoneProtocol | null> {
    return this.protocolRepository.findById(id);
  }
}
